import 'package:flutter/material.dart';

/// Text-only list.
class ListText extends StatelessWidget {
  /// Text.
  final Widget text;

  /// Processing when tapped.
  final Function onTap;

  /// Text-only list.
  ///
  /// [text]: Text.
  /// [onTap]: Processing when tapped.
  ListText({this.text, this.onTap});

  /// Build method.
  ///
  /// [BuildContext]: Build Context.
  @override
  Widget build(BuildContext context) {
    return Padding(
        padding: const EdgeInsets.symmetric(vertical: 20),
        child: InkWell(onTap: this.onTap, child: this.text));
  }
}
